[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# Rect

Returns a TRect record with the given coordinates.

## Declaration

Source position: classesh.inc line 1976

`function Rect(`
`ALeft: Integer;`
`ATop: Integer;`
`ARight: Integer;`
`ABottom: Integer`
`):TRect;`

## Description

Rect returns a TRect record with the given top-left (ALeft,ATop) and bottom-right (ABottom,ARight) corners filled in.

No checking is done to see whether the coordinates are valid.

## See also

TRect |  | Descibes a rectangle
Point |  | Returns a TPoint record with the given coordinates.
SmallPoint |  | Returns a TSmallPoint record with the given coordinates.
Bounds |  | Returns a TRect structure with the bounding rect of the given location and size.

Documentation generated on: Feb 26 2014